edu.isi.pegasus.planner.parser.tokens

## Class TransformationCatalogReservedWord

- java.lang.Object
- - edu.isi.pegasus.planner.parser.tokens.TransformationCatalogReservedWord

All Implemented Interfaces:
  Token

    public class TransformationCatalogReservedWord
    extends java.lang.Object
    implements Token

Class to capture reserved words for the textual format of Transformation Catalog

Version:
  $Revision$
Author:
  Jens Vöckler, Karan Vahi

### Field Summary

Fields
`static int` `ARCH` token value for the reserved word "arch".
`private static java.util.Map` `mSymbolTable` Singleton implementation of a symbol table for reserved words.
`private int` `mValue` This instance variable captures the token value for the reserved word.
`static int` `OS` token value for the reserved word "os".
`static int` `OSRELEASE` token value for the reserved word "osrelease".
`static int` `OSVERSION` token value for the reserver word "osversion".
`static int` `PFN` token value for the reserved word "pfn".
`static int` `PROFILE` token value for the reserved word "profile".
`static int` `SITE` token value for the reserved word "site".
`static int` `TRANSFORMATION` token value for the reserved word "tr".
`static int` `TYPE` token value for the reserver word "osversion".

### Constructor Summary

Constructors
`protected` `TransformationCatalogReservedWord(int tokenValue)` Initializes an instance of a reserved word token.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getValue()` Obtains the token value of a given reserved word token.
`static java.util.Map` `symbolTable()` Singleton access to the symbol table as a whole.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TRANSFORMATION

    public static final int TRANSFORMATION

token value for the reserved word "tr".

See Also:
  Constant Field Values

#### SITE

    public static final int SITE

token value for the reserved word "site".

See Also:
  Constant Field Values

#### PROFILE

    public static final int PROFILE

token value for the reserved word "profile".

See Also:
  Constant Field Values

#### PFN

    public static final int PFN

token value for the reserved word "pfn".

See Also:
  Constant Field Values

#### ARCH

    public static final int ARCH

token value for the reserved word "arch".

See Also:
  Constant Field Values

#### OS

    public static final int OS

token value for the reserved word "os".

See Also:
  Constant Field Values

#### OSRELEASE

    public static final int OSRELEASE

token value for the reserved word "osrelease".

See Also:
  Constant Field Values

#### OSVERSION

    public static final int OSVERSION

token value for the reserver word "osversion".

See Also:
  Constant Field Values

#### TYPE

    public static final int TYPE

token value for the reserver word "osversion".

See Also:
  Constant Field Values

#### mSymbolTable

    private static java.util.Map mSymbolTable

Singleton implementation of a symbol table for reserved words.

#### mValue

    private int mValue

This instance variable captures the token value for the reserved word.

### Constructor Detail

#### TransformationCatalogReservedWord

    protected TransformationCatalogReservedWord(int tokenValue)

Initializes an instance of a reserved word token. The constructor is unreachable from the outside. Use symbol table lookups to obtain reserved word tokens.

Parameters:
  `tokenValue` - is the token value to memorize.
See Also:
  `symbolTable()`

### Method Detail

#### symbolTable

    public static java.util.Map symbolTable()

Singleton access to the symbol table as a whole.

Returns:
  Map

#### getValue

    public int getValue()

Obtains the token value of a given reserved word token.

Returns:
  the token value.